- hosts: "*"
  pre_tasks:
    - name: Load package versions
      ansible.builtin.include_vars:
        file: "../../toolchain/{{ toolchain_version }}.yml"
  tasks:
    - name: OS Configuration
      ansible.builtin.include_tasks: os.yml
    - name: Configure ZSH
      ansible.builtin.include_tasks: zsh.yml
    - name: Configure Bash
      ansible.builtin.include_tasks: bash.yml
    - name: Install Rosetta
      ansible.builtin.include_tasks: rosetta.yml
    - name: Install and configure Homebrew, Install Homebrew applications
      ansible.builtin.include_tasks: homebrew.yml
    - name: Install and configure ASDF
      ansible.builtin.include_tasks: asdf.yml
    - name: Install and configure NVM
      ansible.builtin.include_tasks: nvm.yml
